/*
 * file AllCcDemos.java
 * 
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM - you are allowed to copy, modify and 
 * redistribute this file as part of any program that interfaces with 
 * IBM Rational CM API.
 *
 * com.ibm.rational.stp.client.samples.AllCcDemos
 *
 * (C) Copyright IBM Corporation 2008.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.rational.stp.client.samples.cc;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * JUnit suite to run all ClearCase CM API demonstration programs.
 */
public class AllClearCaseDemos {

    static Class[] allTests = {
        AuthenticationDemo.class,
        CheckoutDemo.class,
        CreateActivityDemo.class,
        ListVobsDemo.class,
        ReadWritePropertiesDemo.class,
    };

    public static Test suite() {
        TestSuite suite = new TestSuite("ClearCase CM API demo programs");
        for (Class c : allTests) {
            suite.addTestSuite(c);
        }
        return suite;
    }
}
